Bug 1121115 - Review Request: axmail - UROnode addon - an SMTP mailbox
Summary: Review Request: axmail - UROnode addon - an SMTP mailbox
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1120771
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 12:06 UTC by Jaroslav Škarvada
Modified: 2015-01-14 07:31 UTC (History)
2 users (show)

Fixed In Version: axmail-2.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-05 13:22:29 UTC
jsynacek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jaroslav Škarvada 2014-07-18 12:06:58 UTC
Spec URL: http://fedorapeople.org/~jskarvad/axmail/axmail.spec
SRPM URL: http://fedorapeople.org/~jskarvad/axmail/axmail-2.0-1.fc20.src.rpm
Description: axMail is an add-on to URONode or LinuxNode that provides you and your users with the ability to send and receive SMTP-based email. It can also be used with a HylaFax server, making it possible to send and receive faxes using just a dumb terminal. Setup is easy and many options are available for the SysOp.
Fedora Account System Username: jskarvad

FYI: I opened ticket regarding "BSD-like?" license in several files (https://lists.fedoraproject.org/pipermail/legal/2014-July/002485.html), to be sure that the resulting package can be licensed under GPLv2+. Also removed the added GPLv2+ restriction prohibiting usage in several states as I was allowed to do so from the upstream and this will be fixed in the next upstream release. Also opened ticket for bundling exception regarding the axmail code fragments.

Comment 1 Jaroslav Škarvada 2014-07-18 12:17:23 UTC
Mailx bundling exception ticket: https://fedorahosted.org/fpc/ticket/447

Comment 2 Jaroslav Škarvada 2014-07-30 13:56:39 UTC
I updated the spec a bit (minor mods without revision bump).

Comment 3 Jaroslav Škarvada 2014-07-30 15:01:22 UTC
According to Fedora Legal reply [1] the license of code bundled from mailx is probably GPL compatible, so the current license field is probably OK. I also forwarded they reply to upstream.

[1] https://lists.fedoraproject.org/pipermail/legal/2014-July/002488.html

Comment 4 Jaroslav Škarvada 2014-11-25 13:56:48 UTC
FPC approved the bundling exception. I will re-upload modified SPEC/SRPM.

Comment 6 Jan Synacek 2014-12-19 10:53:29 UTC
===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 23 files have unknown license. Detailed output of
     licensecheck in
     /home/jsynacek/work/reviews/axmail/1121115-axmail/licensecheck.txt
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/ax25
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 4 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     ftp://ftp.n1uro.net/packet/axmail-2.0.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[ ]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: axmail-2.0-1.fc20.x86_64.rpm
          axmail-2.0-1.fc20.src.rpm
axmail.x86_64: W: spelling-error Summary(en_US) addon -> ad don, ad-don, add on
axmail.x86_64: E: dir-or-file-in-var-lock /var/lock/axmail
axmail.x86_64: E: incorrect-fsf-address /usr/share/doc/axmail/copying
axmail.x86_64: W: no-manual-page-for-binary axmail
axmail.src: W: spelling-error Summary(en_US) addon -> ad don, ad-don, add on
axmail.src: W: invalid-url Source0: ftp://ftp.n1uro.net/packet/axmail-2.0.tar.gz <urlopen error ftp error: timed out>
2 packages and 0 specfiles checked; 2 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint axmail
axmail.x86_64: W: spelling-error Summary(en_US) addon -> ad don, ad-don, add on
axmail.x86_64: E: dir-or-file-in-var-lock /var/lock/axmail
axmail.x86_64: E: incorrect-fsf-address /usr/share/doc/axmail/copying
axmail.x86_64: W: no-manual-page-for-binary axmail
1 packages and 0 specfiles checked; 2 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
axmail (rpmlib, GLIBC filtered):
    config(axmail)
    libc.so.6()(64bit)
    libcrypt.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
axmail:
    axmail
    axmail(x86-64)
    bundled(mailx)
    config(axmail)



Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1121115
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 7 Jan Synacek 2014-12-19 10:54:28 UTC
Comments inlined:

===== MUST items =====
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 23 files have unknown license. Detailed output of
     licensecheck in
     /home/jsynacek/work/reviews/axmail/1121115-axmail/licensecheck.txt


LICENSE file present and is a GPLv2. Bundled files are most likely GPL compatible as mentioned in https://lists.fedoraproject.org/pipermail/legal/2014-July/002488.html.


[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/ax25


There already is a request to libax to provide that directory.


===== SHOULD items =====
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     ftp://ftp.n1uro.net/packet/axmail-2.0.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags


Manual download works.


Rpmlint
-------
Checking: axmail-2.0-1.fc20.x86_64.rpm
          axmail-2.0-1.fc20.src.rpm
axmail.x86_64: W: spelling-error Summary(en_US) addon -> ad don, ad-don, add on
axmail.x86_64: E: dir-or-file-in-var-lock /var/lock/axmail


It's a ghost file, I don't see a problem with that. I don't think that ghosting a lock file is really necessary, though, but I'll leave this to the packager.


axmail.x86_64: E: incorrect-fsf-address /usr/share/doc/axmail/copying


Please, notify upstream about this.

Comment 8 Jan Synacek 2014-12-19 10:56:39 UTC
I don't have anything else to add, the package is simple and everything else looks ok.

APPROVING.

Comment 9 Jaroslav Škarvada 2015-01-05 09:44:03 UTC
Thanks for the review.

Comment 10 Jaroslav Škarvada 2015-01-05 09:47:33 UTC
New Package SCM Request
=======================
Package Name: axmail
Short Description: UROnode addon - an SMTP mailbox
Upstream URL: http://www.n1uro.net
Owners: jskarvad
Branches: f20 f21

Comment 11 Gwyn Ciesla 2015-01-05 12:57:16 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2015-01-05 13:42:58 UTC
axmail-2.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/axmail-2.0-1.fc20

Comment 13 Fedora Update System 2015-01-05 13:45:15 UTC
axmail-2.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/axmail-2.0-1.fc21

Comment 14 Fedora Update System 2015-01-14 07:26:45 UTC
axmail-2.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 15 Fedora Update System 2015-01-14 07:31:59 UTC
axmail-2.0-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.